#ifndef PLS_LIBRARY_H
#define PLS_LIBRARY_H

#include "pls/algorithms/invoke_parallel.h"
#include "pls/internal/scheduling/abstract_task.h"
#include "pls/internal/scheduling/fork_join_task.h"
#include "pls/internal/scheduling/scheduler.h"

namespace pls {
    using internal::scheduling::scheduler;
    using internal::scheduling::static_scheduler_memory;
    using task_id = internal::scheduling::abstract_task::id;

    using internal::scheduling::fork_join_sub_task;
    using internal::scheduling::fork_join_task;

    using algorithm::invoke_parallel;
}

#endif
